SUCCESS = 100

#########################################################
################## Interface Errors #####################
#########################################################

##### Create Edge #####
FAIL_CE_SOURCE = 200
FAIL_CE_TARGET = 201

##### Create Node Value #####
FAIL_CNV_OOB = 202

##### Create Dictionary Entry #####
FAIL_CDICT_SOURCE = 203
FAIL_CDICT_OOB = 204
FAIL_CDICT_TARGET = 205

##### Read Node Value #####
FAIL_RV_UNKNOWN = 206

##### Read Outgoing Edges #####
FAIL_RO_UNKNOWN = 207

##### Read Incoming Edges #####
FAIL_RI_UNKNOWN = 208

##### Read Edge #####
FAIL_RE_UNKNOWN = 209

##### Read Dictionary #####
FAIL_RDICT_UNKNOWN = 210
FAIL_RDICT_OOB = 211

##### Read Dictionary Node #####
FAIL_RDICTN_UNKNOWN = 212
FAIL_RDICTN_OOB = 213

##### Read Dictionary Edge #####
FAIL_RDICTE_UNKNOWN = 214
FAIL_RDICTE_OOB = 215

##### Read Dictionary Node Edge #####
FAIL_RDICTNE_UNKNOWN = 216
FAIL_RDICTNE_OOB = 217

##### Read Dictionary Reverse #####
FAIL_RRDICT_UNKNOWN = 218
FAIL_RRDICT_OOB = 219

##### Delete Node #####
FAIL_DN_UNKNOWN = 220

##### Delete Edge #####
FAIL_DE_UNKNOWN = 221

##### TO FORMALIZE #####
FAIL_RDICTKEYS_UNKNOWN = 222

#########################################################
################## Execution Errors #####################
#########################################################

##### Read Value #####
FAIL_RV_NO_VALUE = 300

##### Read Dictionary #####
FAIL_RDICT_NOT_FOUND = 301
FAIL_RDICT_UNCERTAIN = 302
FAIL_RDICT_AMBIGUOUS = 311

##### Read Dictionary Node #####
FAIL_RDICTN_NOT_FOUND = 303
FAIL_RDICTN_UNCERTAIN = 304
FAIL_RDICTN_AMBIGUOUS = 313

##### Read Dictionary Edge #####
FAIL_RDICTE_NOT_FOUND = 305
FAIL_RDICTE_UNCERTAIN = 306
FAIL_RDICTE_AMBIGUOUS = 312

##### Read Dictionary Node Edge #####
FAIL_RDICTNE_NOT_FOUND = 307
FAIL_RDICTNE_UNCERTAIN = 308
FAIL_RDICTNE_AMBIGUOUS = 314

##### Read Reverse Dictionary #####
FAIL_RRDICT_NOT_FOUND = 309
FAIL_RRDICT_UNCERTAIN = 310
