import unittest

from utils import run_file


class TestFibonacci(unittest.TestCase):
    def test_po_fibonacci(self):
        self.fibonacci("PO")

    def test_co_fibonacci(self):
        self.fibonacci("CO")

    def fibonacci(self, mode):
        self.assertTrue(run_file(["fibonacci.alc", "primitives.alc"],
            [1, 2, 3, 4],
            [1, 1, 2, 3],
            mode))
